Bug 405220

Summary: Kontact crashes on opening attachment when mail becomes inactive
Product: [Applications] kontact Reporter: Mykola Krachkovsky <w01dnick>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: skonjicija, tonymt00
Priority: NOR Keywords: drkonqi
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Mykola Krachkovsky 2019-03-08 15:15:15 UTC
Application: kontact (5.10.2)

Qt Version: 5.12.0
Frameworks Version: 5.55.0
Operating System: Linux 4.20.13-1-default x86_64
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed:
1. Select new mail with attachment.
2. Click on attachment (I was using PDF) and select to open it in program (Okular in my case).
3. After that deactivation of main Kontact window makes list to reload and previous mail is activated.
4. Kontact crashes.

- Custom settings of the application:
IMAP GMail account, keeping all mail local copy is unkchecked.

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff3af784a40 (LWP 8861))]

Thread 24 (Thread 0x7ff37dffb700 (LWP 10249)):
#0  0x00007ff3bd627428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0c57 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15aa in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b71d1692 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b718f131 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b7191c67 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b7192254 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#9  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7ff38bfff700 (LWP 10248)):
#0  0x00007ff3bd627428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0c57 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15aa in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b71d1692 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b718f131 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b7191f96 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b7192254 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#9  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7ff29a313700 (LWP 8947)):
#0  0x00007ff3be5eaad9 in poll () from /lib64/libc.so.6
#1  0x00007ff3bcc38156 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ff3bcc3827c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ff3beb3bc5b in QEventDispatcherGlib::processEvents (this=0x7ff28c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ff3beae64fb in QEventLoop::exec (this=this@entry=0x7ff29a312b60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007ff3be930396 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007ff3be9316e2 in QThreadPrivate::start (arg=0x556e77bb1e80) at thread/qthread_unix.cpp:361
#7  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#8  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7ff2b0e83700 (LWP 8913)):
#0  0x00007ff3bcc37690 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007ff3bcc3808b in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ff3bcc3827c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ff3beb3bc5b in QEventDispatcherGlib::processEvents (this=0x7ff2a0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ff3beae64fb in QEventLoop::exec (this=this@entry=0x7ff2b0e82b60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007ff3be930396 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007ff3be9316e2 in QThreadPrivate::start (arg=0x556e719c2000) at thread/qthread_unix.cpp:361
#7  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#8  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7ff2b17af700 (LWP 8905)):
#0  0x00007ff3be5eaad9 in poll () from /lib64/libc.so.6
#1  0x00007ff3bcc38156 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ff3bcc3827c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ff3beb3bc5b in QEventDispatcherGlib::processEvents (this=0x7ff29c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ff3beae64fb in QEventLoop::exec (this=this@entry=0x7ff2b17aeb60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007ff3be930396 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007ff3be9316e2 in QThreadPrivate::start (arg=0x556e71962d20) at thread/qthread_unix.cpp:361
#7  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#8  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7ff2b1fb0700 (LWP 8904)):
#0  0x00007ff3be5e66b4 in read () from /lib64/libc.so.6
#1  0x00007ff3bcc7dc70 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ff3bcc37c2f in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ff3bcc38100 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007ff3bcc3827c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007ff3beb3bc5b in QEventDispatcherGlib::processEvents (this=0x7ff2a8000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007ff3beae64fb in QEventLoop::exec (this=this@entry=0x7ff2b1fafb60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#7  0x00007ff3be930396 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#8  0x00007ff3be9316e2 in QThreadPrivate::start (arg=0x556e716ddf10) at thread/qthread_unix.cpp:361
#9  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#10 0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7ff2b2849700 (LWP 8903)):
#0  0x00007ff3bcc38058 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007ff3bcc3827c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ff3beb3bc5b in QEventDispatcherGlib::processEvents (this=0x7ff2a4000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#3  0x00007ff3beae64fb in QEventLoop::exec (this=this@entry=0x7ff2b2848b60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#4  0x00007ff3be930396 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#5  0x00007ff3be9316e2 in QThreadPrivate::start (arg=0x556e716a99f0) at thread/qthread_unix.cpp:361
#6  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#7  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7ff2b3fff700 (LWP 8889)):
#0  0x00007ff3bd62703c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0b89 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b71d164f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b718f148 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b7191f96 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b71922d4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#9  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7ff37cff9700 (LWP 8888)):
#0  0x00007ff3be602a9c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007ff3be563ced in buffered_vfprintf () from /lib64/libc.so.6
#2  0x00007ff3be561138 in __vfprintf_internal () from /lib64/libc.so.6
#3  0x00007ff3be60467e in __fprintf_chk () from /lib64/libc.so.6
#4  0x00007ff3b3e536ff in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#5  0x00007ff3b3e538c4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#6  0x00007ff3b3e55230 in ?? () from /usr/lib64/libevent-2.1.so.6
#7  0x00007ff3b3e4b068 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#8  0x00007ff3b71d73a4 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff3b716dc0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff3b71a05c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#13 0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7ff37e7fc700 (LWP 8885)):
#0  0x00007ff3bd62703c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b429b23a in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007ff3b429b25b in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#4  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7ff37effd700 (LWP 8884)):
#0  0x00007ff3be5eaad9 in poll () from /lib64/libc.so.6
#1  0x00007ff3a41940f1 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007ff3a4185920 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007ff3a4185f6e in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007ff3a4186020 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007ff3a4194039 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007ff3a4130e28 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-12.2.so
#7  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#8  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7ff37f7fe700 (LWP 8883)):
#0  0x00007ff3be5f59bf in epoll_wait () from /lib64/libc.so.6
#1  0x00007ff3b3e550a9 in ?? () from /usr/lib64/libevent-2.1.so.6
#2  0x00007ff3b3e4b068 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#3  0x00007ff3b71d72bd in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b716dc0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b71a05c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#8  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7ff37ffff700 (LWP 8882)):
#0  0x00007ff3bd627428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0c57 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15aa in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b714b020 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b716dc0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b71a05c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#8  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7ff388ff9700 (LWP 8881)):
#0  0x00007ff3bd627428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0c57 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15aa in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b714b020 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b716dc0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b71a05c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#8  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7ff3897fa700 (LWP 8880)):
#0  0x00007ff3bd62703c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0b89 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b7aa11c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b71a1b7f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#6  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7ff389ffb700 (LWP 8879)):
#0  0x00007ff3bd62703c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0b89 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15b8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b71d164f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b718f148 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b7191f96 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b7192294 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#9  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7ff38a7fc700 (LWP 8878)):
#0  0x00007ff3be602a9c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007ff3be563ced in buffered_vfprintf () from /lib64/libc.so.6
#2  0x00007ff3be561138 in __vfprintf_internal () from /lib64/libc.so.6
#3  0x00007ff3be60467e in __fprintf_chk () from /lib64/libc.so.6
#4  0x00007ff3b3e536ff in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#5  0x00007ff3b3e538c4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#6  0x00007ff3b3e55230 in ?? () from /usr/lib64/libevent-2.1.so.6
#7  0x00007ff3b3e4b068 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#8  0x00007ff3b71d7269 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff3b716dc0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff3b6b21234 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff3b71a0718 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#14 0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7ff38affd700 (LWP 8877)):
#0  0x00007ff3bd627428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0c57 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15aa in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b71d1692 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b718f131 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b7191f96 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b7192254 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#9  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7ff39d000700 (LWP 8874)):
#0  0x00007ff3bd627428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3b71d0c57 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff3b71d15aa in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff3b71d1692 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff3b718f131 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff3b7191f96 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff3b7192254 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#9  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7ff39d801700 (LWP 8873)):
#0  0x00007ff3be602a9c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007ff3be563ced in buffered_vfprintf () from /lib64/libc.so.6
#2  0x00007ff3be561138 in __vfprintf_internal () from /lib64/libc.so.6
#3  0x00007ff3be60467e in __fprintf_chk () from /lib64/libc.so.6
#4  0x00007ff3b3e536ff in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#5  0x00007ff3b3e538c4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#6  0x00007ff3b3e55230 in ?? () from /usr/lib64/libevent-2.1.so.6
#7  0x00007ff3b3e4b068 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#8  0x00007ff3b71d7269 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff3b716dc0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff3b7195824 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff3b71a0718 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#14 0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7ff39e803700 (LWP 8871)):
#0  0x00007ff3be602a9c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007ff3be563ced in buffered_vfprintf () from /lib64/libc.so.6
#2  0x00007ff3be561138 in __vfprintf_internal () from /lib64/libc.so.6
#3  0x00007ff3be60467e in __fprintf_chk () from /lib64/libc.so.6
#4  0x00007ff3b3e536ff in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#5  0x00007ff3b3e538c4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#6  0x00007ff3b3e55230 in ?? () from /usr/lib64/libevent-2.1.so.6
#7  0x00007ff3b3e4b068 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#8  0x00007ff3b71d7269 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff3b716dc0b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff3b71a05c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff3b71d37b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#13 0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7ff3a599f700 (LWP 8864)):
#0  0x00007ff3be5eaad9 in poll () from /lib64/libc.so.6
#1  0x00007ff3bcc38156 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007ff3bcc3827c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007ff3beb3bc5b in QEventDispatcherGlib::processEvents (this=0x7ff398000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ff3beae64fb in QEventLoop::exec (this=this@entry=0x7ff3a599eb30, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007ff3be930396 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007ff3be002565 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007ff3be9316e2 in QThreadPrivate::start (arg=0x7ff3be07cd80) at thread/qthread_unix.cpp:361
#8  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#9  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7ff3a75b8700 (LWP 8863)):
#0  0x00007ff3bd62703c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007ff3a7808f93 in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007ff3a7808ce7 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007ff3bd620fab in start_thread () from /lib64/libpthread.so.0
#4  0x00007ff3be5f569f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ff3af784a40 (LWP 8861)):
[KCrash Handler]
#6  0x00007ff3bc74a9d4 in KMime::Content::parent (this=this@entry=0x556e77aa7c70) at /usr/src/debug/kmime-18.12.2-1.1.x86_64/src/kmime_content.cpp:829
#7  0x00007ff3bc74a9ee in KMime::Content::topLevel (this=this@entry=0x556e77aa7c70) at /usr/src/debug/kmime-18.12.2-1.1.x86_64/src/kmime_content.cpp:835
#8  0x00007ff3bc74b584 in KMime::Content::index (this=this@entry=0x556e77aa7c70) at /usr/src/debug/kmime-18.12.2-1.1.x86_64/src/kmime_content.cpp:846
#9  0x00007ff2b2bba338 in MimeTreeParser::NodeHelper::persistentIndex (this=this@entry=0x556e719c1ad0, node=node@entry=0x556e77aa7c70) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/mimetreeparser/src/nodehelper.cpp:636
#10 0x00007ff2b2bba821 in MimeTreeParser::NodeHelper::tempFileUrlFromNode (this=this@entry=0x556e719c1ad0, node=node@entry=0x556e77aa7c70) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/mimetreeparser/src/nodehelper.cpp:289
#11 0x00007ff2b2bbd46a in MimeTreeParser::NodeHelper::writeNodeToTempFile (this=0x556e719c1ad0, node=0x556e77aa7c70) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/mimetreeparser/src/nodehelper.cpp:240
#12 0x00007ff2b2faad44 in MessageViewer::ViewerPrivate::attachmentOpenWith (this=0x556e716f9310, node=<optimized out>, offer=...) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/messageviewer/src/viewer/viewer_p.cpp:706
#13 0x00007ff2b2fb0d1c in MessageViewer::ViewerPrivate::openAttachment (this=this@entry=0x556e716f9310, node=<optimized out>, node@entry=0x556e77aa7c70, url=...) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/messageviewer/src/viewer/viewer_p.cpp:347
#14 0x00007ff2b2fb7fa1 in MessageViewer::AttachmentURLHandler::handleClick (this=<optimized out>, url=..., w=0x556e716f9310) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/messageviewer/src/viewer/urlhandlermanager.cpp:693
#15 0x00007ff2b2fb7138 in MessageViewer::URLHandlerManager::handleClick (this=<optimized out>, url=..., w=w@entry=0x556e716f9310) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/messageviewer/src/viewer/urlhandlermanager.cpp:308
#16 0x00007ff2b2f9ee90 in MessageViewer::ViewerPrivate::slotUrlOpen (this=0x556e716f9310, url=...) at /usr/src/debug/messagelib-18.12.2-1.1.x86_64/messageviewer/src/viewer/viewer_p.cpp:1990
#17 0x00007ff3beb11d02 in QObject::event (this=0x556e716f9310, e=<optimized out>) at kernel/qobject.cpp:1249
#18 0x00007ff3bf4d9591 in QApplicationPrivate::notify_helper (this=this@entry=0x556e70e13fd0, receiver=receiver@entry=0x556e716f9310, e=e@entry=0x7ff36418fa20) at kernel/qapplication.cpp:3753
#19 0x00007ff3bf4e0b30 in QApplication::notify (this=0x7ffce42f6520, receiver=0x556e716f9310, e=0x7ff36418fa20) at kernel/qapplication.cpp:3500
#20 0x00007ff3beae7829 in QCoreApplication::notifyInternal2 (receiver=0x556e716f9310, event=0x7ff36418fa20) at ../../include/QtCore/5.12.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:322
#21 0x00007ff3beaea827 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x556e70dac210) at kernel/qcoreapplication.cpp:1800
#22 0x00007ff3beb3c633 in postEventSourceDispatch (s=0x556e70ee4280) at kernel/qeventdispatcher_glib.cpp:276
#23 0x00007ff3bcc37f4e in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#24 0x00007ff3bcc381e8 in ?? () from /usr/lib64/libglib-2.0.so.0
#25 0x00007ff3bcc3827c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#26 0x00007ff3beb3bc43 in QEventDispatcherGlib::processEvents (this=0x556e70eeec30, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#27 0x00007ff3beae64fb in QEventLoop::exec (this=this@entry=0x7ffce42f63f0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#28 0x00007ff3beaee652 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#29 0x0000556e6fcf9738 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kontact-18.12.2-1.1.x86_64/src/main.cpp:229
[Inferior 1 (process 8861) detached]

The reporter indicates this bug may be a duplicate of or related to bug 388641.

Possible duplicates by query: bug 388641.

Reported using DrKonqi
Comment 1 Mykola Krachkovsky 2019-03-08 15:21:21 UTC
PS
It's mandatory to have newly selected mail on step 1, as if currently opened mail doesn't change all goes ok and as expected.
PS2
I'm usually using Kontact, but this behaviour is reproduced on pure KMail as well.
Comment 2 Christoph Feck 2019-03-24 13:44:22 UTC
*** Bug 388641 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Feck 2019-04-25 19:17:32 UTC
*** Bug 406142 has been marked as a duplicate of this bug. ***
Comment 4 Mykola Krachkovsky 2020-01-18 11:47:23 UTC
Looks like fixed.